PlasticScrollBarUI (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks.plastic

## Class PlasticScrollBarUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ScrollBarUI
    - - javax.swing.plaf.basic.BasicScrollBarUI
      - - javax.swing.plaf.metal.MetalScrollBarUI
        - - com.jgoodies.looks.plastic.PlasticScrollBarUI

- All Implemented Interfaces:
    LayoutManager, SwingConstants

      public final class PlasticScrollBarUI
      extends MetalScrollBarUI

  The JGoodies Plastic L&F implementation of `ScrollBarUI`. Can add a pseudo 3D effect and honors the Plastic Option `ScrollBar.maxBumpsWidth` to limit the with of the scroll bar bumps.
  Version:
    $Revision: 1.10 $
  Author:
    Karsten Lentzsch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicScrollBarUI

      `BasicScrollBarUI.ArrowButtonListener, BasicScrollBarUI.ModelListener, BasicScrollBarUI.PropertyChangeHandler, BasicScrollBarUI.ScrollListener, BasicScrollBarUI.TrackListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MAX_BUMPS_WIDTH_KEY`

    - ### Fields inherited from class javax.swing.plaf.metal.MetalScrollBarUI

      `decreaseButton, FREE_STANDING_PROP, increaseButton, isFreeStanding, scrollBarWidth`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicScrollBarUI

      `buttonListener, decrButton, DECREASE_HIGHLIGHT, decrGap, incrButton, INCREASE_HIGHLIGHT, incrGap, isDragging, maximumThumbSize, minimumThumbSize, modelListener, NO_HIGHLIGHT, propertyChangeListener, scrollbar, scrollListener, scrollTimer, thumbDarkShadowColor, thumbLightShadowColor, thumbRect, trackColor, trackHighlight, trackHighlightColor, trackListener, trackRect`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticScrollBarUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configureScrollBarColors()`
    `protected JButton` | `createDecreaseButton(int orientation)`
    `protected JButton` | `createIncreaseButton(int orientation)`
    `static ComponentUI` | `createUI(JComponent b)`
    `protected void` | `installDefaults()`
    `protected void` | `paintThumb(Graphics g, JComponent c, Rectangle thumbBounds)`
    `protected void` | `paintTrack(Graphics g, JComponent c, Rectangle trackBounds)`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalScrollBarUI

      `createPropertyChangeListener, getMinimumThumbSize, getPreferredSize, installListeners, setThumbBounds`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicScrollBarUI

      `addLayoutComponent, createArrowButtonListener, createModelListener, createScrollListener, createTrackListener, getMaximumSize, getMaximumThumbSize, getSupportsAbsolutePositioning, getThumbBounds, getTrackBounds, installComponents, installKeyboardActions, installUI, isThumbRollover, layoutContainer, layoutHScrollbar, layoutVScrollbar, minimumLayoutSize, paint, paintDecreaseHighlight, paintIncreaseHighlight, preferredLayoutSize, removeLayoutComponent, scrollByBlock, scrollByUnit, setThumbRollover, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMinimumSize, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_BUMPS_WIDTH_KEY

          public static final String MAX_BUMPS_WIDTH_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlasticScrollBarUI

          public PlasticScrollBarUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### installDefaults

          protected void installDefaults()

      Overrides:
        `installDefaults` in class `MetalScrollBarUI`

    - #### createDecreaseButton

          protected JButton createDecreaseButton(int orientation)

      Overrides:
        `createDecreaseButton` in class `MetalScrollBarUI`

    - #### createIncreaseButton

          protected JButton createIncreaseButton(int orientation)

      Overrides:
        `createIncreaseButton` in class `MetalScrollBarUI`

    - #### configureScrollBarColors

          protected void configureScrollBarColors()

      Overrides:
        `configureScrollBarColors` in class `MetalScrollBarUI`

    - #### paintTrack

          protected void paintTrack(Graphics g,
                        JComponent c,
                        Rectangle trackBounds)

      Overrides:
        `paintTrack` in class `MetalScrollBarUI`

    - #### paintThumb

          protected void paintThumb(Graphics g,
                        JComponent c,
                        Rectangle thumbBounds)

      Overrides:
        `paintThumb` in class `MetalScrollBarUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.